Bug 479141 - X server 1.6 hangs on Rawhide when driver set to openchrome
X server 1.6 hangs on Rawhide when driver set to openchrome
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 10:13 EST by Jonathan Kamens
Modified: 2009-03-09 19:05 EDT (History)
16 users (show)

See Also:
Fixed In Version: 0.2.903-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 03:17:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from crash which hoses X machine (50.00 KB, text/plain)
2009-01-07 10:13 EST, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2009-01-07 10:13:59 EST
Created attachment 328392 [details]
Xorg.0.log from crash which hoses X machine

--- Additional comment from jik@kamens.brookline.ma.us on 2009-01-05 23:31:04 EDT ---

Created an attachment (id=328249)
Xorg.0.log showing crash inside Xorg with openchrome which hoses machine

xorg-x11-drv-openchrome-0.2.903-4.fc11.i386 continues to hang for me immediately and hose my system (stops pinging, although I am able to reboot with the Magic SysRq key) on a system updated today from rawhide.  I've got no xorg.conf, so I'm using whatever the auto-generated settings are.  I've tested it with three different kernels with the same results:

kernel-2.6.28-2.fc11.i686
kernel-2.6.29-0.7.rc0.git3.fc11.i686
kernel-2.6.29-0.9.rc0.git4.fc11.i686

I've attached my /var/log/Xorg.0.log, which shows a crash inside Xorg, from the hang.

--- Additional comment from xavier@bachelot.org on 2009-01-06 18:12:56 EDT ---

(In reply to comment #43)
> Created an attachment (id=328249) [details]
> Xorg.0.log showing crash inside Xorg with openchrome which hoses machine
> 
This is a different bug that only happens with xserver 1.6. It's already been reported to xorg (https://bugs.freedesktop.org/show_bug.cgi?id=19337) and a patch against the deprecated via driver submitted (http://lists.freedesktop.org/archives/xorg/2008-December/041972.html).
Jon will have a patch for openchrome soon. Meanwhile can you please open a new bug ?
Comment 1 Xavier Bachelot 2009-01-07 10:29:56 EST
Should be fixed in xorg-x11-drv-openchrome-0.2.903-6.fc11
http://koji.fedoraproject.org/koji/buildinfo?buildID=77520
Comment 2 Xavier Bachelot 2009-02-17 18:02:25 EST
Jonathan, did you test this update ?
Comment 3 Jonathan Kamens 2009-02-17 18:32:12 EST
I am able to use openchrome driver in current rawhide.
Comment 4 Xavier Bachelot 2009-02-18 03:17:36 EST
Ok, thanks.
Comment 5 Fedora Update System 2009-03-09 19:05:25 EDT
xorg-x11-drv-openchrome-0.2.903-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.